FB-ORLE(1)

NAME
fb-orle - save a frame buffer image in old run-length encoded form

SYNOPSIS
fb-orle [-CShvw] [-c{rgbwBG}] [-l x y] [-p x y] [file.rle]

DESCRIPTION
fb-orle saves a frame buffer image in a file, using the old University of Utah standard (Edition-2) Run-Length Encoded (RLE) format. This program is provided for compatability with the old RLE image tools, and generally should not be used for saving new images, except where compatability with the old tools is a factor. The equivalent new tool is fb-rle(1).

The environment variable FB_FILE is used to select the display device (see brlcad(1)). If this variable is not set, the default device for your system will be used. If file.rle is not specified, the encoded file is written to standard output. fb-orle attempts to compress flat-colored areas as much as possible. This means that it is generally reasonable to save an entire image, since in RLE format it will not take up much more file space than extracting and saving only the interesting portion of the image. The default action is to encode only data pixels and to save the background color separately, so that when the image is restored all non-image pixels will be set to the background pixel value stored in the RLE header. Images saved in this mode may be displayed normally, or in ``overlay'' mode by the RLE decoder program (see orle-fb(1)). Alternatively, the -S option may be used to RLE encode the background as well (recommended only if you don't have a flat background).

-C  Convert (``crunch'') an image with a non-standard color map so that the RLE file created will redisplay with a standard color map. Useful to preserve dramatic images created with wierd color maps so that Gamma correction (for film) can then also be applied. This option is recommended when producing images for export to other display systems, so that variations in the interpretation of color maps between different types of display hardware do not affect the displayed image.

-w  Convert the color image to black and white, and RLE encode that. The red, green, and blue components of each pixel are combined via the NTSC transform to get an intensity value (Y) which is saved. A more versatile tool for this is pix-bw(1).

-S  Save all data in RLE format, irrespective of whether it is background or not (``straight box save''). It is not possible to restore a file saved with -S as an overlay.

-cx Specify a color to use as the ``background''. The character x is selected from the set rgbwBG (red, green, blue, white, Black, 18% Grey). If this option is not specified, the pixel in the lower left corner of the region being saved is used as the background color.

-lx y
    Specify the size of the saved box. This is useful if only a portion of the image is to be saved.

-px y
    Specify the upper left corner of the saved portion of the image.

-v  Verbose mode. The program will provide voluminous status information on its standard error as it proceeds through encoding the image.

-h  ``hires'' flag. Set both the height and width of the framebuffer to 1024. The default is 512x512.

EXAMPLE
    fb-orle -h tank.rle

AUTHORS
Gary S. Moss
Michael John Muuss

SEE ALSO
orle-fb(1), rle-fb(1), rle-pix(1), pix-rle(1), librle(3).

SOURCE
SECAD/VLD Computing Consortium, Bldg 394
The U. S. Army Ballistic Research Laboratory
Aberdeen Proving Ground, Maryland 21005

BUG REPORTS
Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.